#
# spec file for package ucspi-tcp (Version 0.88)
#
# Copyright (c) 2005 Scorpio IT, Deidesheim, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself
#
#!BuildIgnore:          post-build-checks

%if %{?rel:0}%{!?rel:1}
%define rel 1
%endif

%define qdir    /var/qmail

Name:           ucspi-tcp
Summary:        Tcpserver and tcpclient for building TCP client-server apps
Version:        0.88
Release:        12.2
License:        GNU
Group:          System/Daemons
URL:            http://cr.yp.to/ucspi-tcp.html
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}-%{version}-man.tar.bz2
Patch0:         %{name}-%{version}-ipv6.diff19
Patch1:         %{name}-%{version}-rblsmtpd.diff
Patch2:		%{name}-%{version}-rblsmtpd-ignore-on-RELAYCLIENT.patch
Patch3:		%{name}-%{version}-rblspp.patch
Patch4:		%{name}-%{version}-ssl.diff
Patch5:		%{name}-%{version}-periplimit.7_ssl.patch
Buildroot:      %{_tmppath}/%{name}-%{version}
BuildRequires:  openssl-devel mysql-devel zlib-devel 
Requires:       daemontools >= 0.76 openssl mysql zlib glibc >= 2.3 
Provides:       tcpserver


#----------------------------------------------------------------------------------
%description
#----------------------------------------------------------------------------------
Tcpserver and tcpclient are easy-to-use command-line tools for building TCP
client-server applications.

Tcpserver waits for incoming connections  and, for each  connection, runs a
program  of  your  choice.  Your  program  receives  environment  variables
showing the local and remote host names, IP addresses, and port numbers.

Tcpserver offers a concurrency  limit to  protect  you from  running out of
processes and memory.   When you  are handling 40 (by default) simultaneous
connections, tcpserver smoothly defers acceptance of new connections.

Tcpserver   also   provides   TCP  access  control   features,  similar  to
tcp-wrappers/tcpd's hosts.allow but much faster.  It's access control rules
are compiled into a  hashed format  with cdb,  so it  can easily  deal with
thousands of different hosts.

This package  includes  a  recordio  tool  that  monitors all the input and
output of a server.

Tcpclient makes a TCP connection and runs a program of your choice. It sets
up the same environment variables as tcpserver.

This package includes several sample clients built on top of tcpclient:
who@, date@, finger@, http@, tcpcat, and mconnect.

Tcpserver  and tcpclient  conform to  UCSPI, the UNIX Client-Server Program
Interface, using the TCP protocol.  UCSPI  tools are  available for several
different networks.

  Author: D. J. Bernstein

----------------------------------------------------------------------------------

%package rblspp
Group:		System/Daemons
Summary:	QMail spp plugin - rblspp
Url:		http://xs3.b92.net/tomislavr/qmail.html

%description rblspp
Delay RBL check until SMTP RCPT and skip RBL check after successful SMTP AUTH.


#----------------------------------------------------------------------------------
%prep
#----------------------------------------------------------------------------------
%setup -n %{name}-%{version} -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
#----------------------------------------------------------------------------------
%build
#----------------------------------------------------------------------------------

make


#----------------------------------------------------------------------------------
%install
#----------------------------------------------------------------------------------
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man5,man8}
for i in addcr argv0 date@ delcr finger@ fixcrio http@ mconnect \
  mconnect-io rblsmtpd recordio tcpcat tcpclient tcprules tcprulescheck \
  tcpserver who@; do
    install -m 755 $i $RPM_BUILD_ROOT/%{_bindir}
done
for i in man/*8* man/*5*; do
  gzip $i
done
install -m 644 man/*.5*gz $RPM_BUILD_ROOT/%{_mandir}/man5
install -m 644 man/*.8*gz $RPM_BUILD_ROOT/%{_mandir}/man8
install -D -m 755 rblspp %{buildroot}%{qdir}/plugins/rblspp

#----------------------------------------------------------------------------------
%clean
#----------------------------------------------------------------------------------
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT


#----------------------------------------------------------------------------------
%files
#----------------------------------------------------------------------------------
%defattr (-,root,root)
%attr(-,root,root) %doc CHANGES README TODO VERSION
%attr(0755,root,root) %{_bindir}/addcr
%attr(0755,root,root) %{_bindir}/argv0
%attr(0755,root,root) %{_bindir}/date@
%attr(0755,root,root) %{_bindir}/delcr
%attr(0755,root,root) %{_bindir}/finger@
%attr(0755,root,root) %{_bindir}/fixcrio
%attr(0755,root,root) %{_bindir}/http@
%attr(0755,root,root) %{_bindir}/mconnect
%attr(0755,root,root) %{_bindir}/mconnect-io
%attr(0755,root,root) %{_bindir}/rblsmtpd
%attr(0755,root,root) %{_bindir}/recordio
%attr(0755,root,root) %{_bindir}/tcpcat
%attr(0755,root,root) %{_bindir}/tcpclient
%attr(0755,root,root) %{_bindir}/tcprules
%attr(0755,root,root) %{_bindir}/tcprulescheck
%attr(0755,root,root) %{_bindir}/tcpserver
%attr(0755,root,root) %{_bindir}/who@

%attr(0644,root,root) %{_mandir}/man5/tcp-qualify.5*
%attr(0644,root,root) %{_mandir}/man8/*

%files rblspp
%defattr(-,root,root)
%dir %{qdir}
%dir %{qdir}/plugins
%{qdir}/plugins/rblspp
#----------------------------------------------------------------------------------
%changelog
#----------------------------------------------------------------------------------
* Wed Sep 25 2013 Carsten Schoene <cs@linux-administrator.com> - 0.88-4
- added Jul's periplimit patch (reworked for use with SSL patch)

* Mon May 01 2009 Carsten Schoene <cs@linux-administrator.com> - 0.88-3
- add fefe's ipv6 patch and modified SSL patch to work with it

* Sat Feb 21 2009 Carsten Schoene <cs@linux-administrator.com> - 0.88-2
- add rblspp patch & subpackage

* Sat Sep 22 2007 - Christian Wittmer <rpm@scorpio-it.net> - 0.88-1
- first run
